Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.db
Class ConfigReader

    java.lang.Object
      edu.udo.cs.miningmart.db.ConfigReader

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigReader

extends java.lang.Object
implements java.io.Serializable

Class to read and hold infos from the MiningMart DB configuration file.

Version:
  $Id: ConfigReader.java,v 1.8 2006/09/27 15:00:02 euler Exp $
Author:
  Timm Euler, Martin Scholz
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `BUS_DBNAME`
`static java.lang.String` | `BUS_DRIVER`
`static java.lang.String` | `BUS_LOCATION`
`static java.lang.String` | `BUS_PW`
`static java.lang.String` | `BUS_USER`
`static java.lang.String` | `M4_DBNAME`
`static java.lang.String` | `M4_DRIVER`
`static java.lang.String` | `M4_LOCATION`
`static java.lang.String` | `M4_PW`
`static java.lang.String` | `M4_USER`

Constructor Summary
`ConfigReader(java.lang.String configFileName)` Constructor needs the filename with path.

Method Summary
`java.lang.String` | `getBusDbName()`
`java.lang.String` | `getBusDriver()`
`java.lang.String` | `getBusHost()`
`java.lang.String` | `getBusPort()`
`java.lang.String` | `getBusPw()`
`java.lang.String` | `getBusUrl()`
`java.lang.String` | `getBusUser()`
`java.lang.String` | `getM4DbName()`
`java.lang.String` | `getM4Driver()`
`java.lang.String` | `getM4Host()`
`java.lang.String` | `getM4Port()`
`java.lang.String` | `getM4Pw()`
`java.lang.String` | `getM4Url()`
`java.lang.String` | `getM4User()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### M4_DRIVER

    public static final java.lang.String M4_DRIVER

See Also:
  Constant Field Values

### M4_LOCATION

    public static final java.lang.String M4_LOCATION

See Also:
  Constant Field Values

### M4_DBNAME

    public static final java.lang.String M4_DBNAME

See Also:
  Constant Field Values

### M4_USER

    public static final java.lang.String M4_USER

See Also:
  Constant Field Values

### M4_PW

    public static final java.lang.String M4_PW

See Also:
  Constant Field Values

### BUS_DRIVER

    public static final java.lang.String BUS_DRIVER

See Also:
  Constant Field Values

### BUS_LOCATION

    public static final java.lang.String BUS_LOCATION

See Also:
  Constant Field Values

### BUS_DBNAME

    public static final java.lang.String BUS_DBNAME

See Also:
  Constant Field Values

### BUS_USER

    public static final java.lang.String BUS_USER

See Also:
  Constant Field Values

### BUS_PW

    public static final java.lang.String BUS_PW

See Also:
  Constant Field Values

Constructor Detail

### ConfigReader

    public ConfigReader(java.lang.String configFileName)
                 throws M4Exception

  Constructor needs the filename with path.

  Parameters:
    `configFileName` - A String with the path and name of the configuration file.
  Throws:
    `M4Exception`

Method Detail

### getBusDbName

    public java.lang.String getBusDbName()

  Returns:
    Returns the DbName for the business data connection.

### getBusPw

    public java.lang.String getBusPw()

  Returns:
    Returns the Password for the business data connection.

### getBusUrl

    public java.lang.String getBusUrl()

  Returns:
    Returns the Url for the business data connection.

### getBusDriver

    public java.lang.String getBusDriver()

### getBusHost

    public java.lang.String getBusHost()

### getBusPort

    public java.lang.String getBusPort()

### getM4Driver

    public java.lang.String getM4Driver()

### getM4Host

    public java.lang.String getM4Host()

### getM4Port

    public java.lang.String getM4Port()

### getBusUser

    public java.lang.String getBusUser()

  Returns:
    Returns the username for the business data connection.

### getM4DbName

    public java.lang.String getM4DbName()

  Returns:
    Returns the DbName for the M4 data connection.

### getM4Pw

    public java.lang.String getM4Pw()

  Returns:
    Returns the Password for the M4 data connection.

### getM4Url

    public java.lang.String getM4Url()

  Returns:
    Returns the Url for the M4 data connection.

### getM4User

    public java.lang.String getM4User()

  Returns:
    Returns the username for the M4 data connection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005